com.arthenica.ffmpegkit

## Class AsyncFFmpegExecuteTask

- java.lang.Object
- - com.arthenica.ffmpegkit.AsyncFFmpegExecuteTask

- All Implemented Interfaces:
    java.lang.Runnable

      public class AsyncFFmpegExecuteTask
      extends java.lang.Object
      implements java.lang.Runnable

  Executes an FFmpeg session asynchronously.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AsyncFFmpegExecuteTask(FFmpegSession ffmpegSession)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `run()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AsyncFFmpegExecuteTask

          public AsyncFFmpegExecuteTask(FFmpegSession ffmpegSession)

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`